AutoCAD VB :: Copy 3 Lines From Point A To B At One Time?
Apr 1, 2011
I created 3 lines linia1 linia2 linia3 in vba for autocad. How to select these lines and copy them ( as 1 entity) from point A to B at one time. I also would like to change a scale of these 3 lines. add line to this code
Public Sub Copy()
With ThisDrawing.Utility
Dim k0Deg As Double
I have a 3D file (not of my creation) that gives me some problems when I try to copy it (it is a 3D building).
The problem is that, when i click on "copy" command, I can select a point but then AutoCAD crashes and it takes about 30 seconds to return working a normal way and permit me to paste it. (it happens with "move" command too)
Otherwise, if I use "copy with base point" I have no problems: after a second I can paste it where I want.
How can it be possible? Cause if sometimes I mistake and digit "copy", I always have to wait the long Autocad response.
This problem happens with both autocad 2012 and 2013 and it doesn't happen with other 3D files I have. The drawing is made mainly of meshes.
I have a Dell notebook and a NVIDIA Quadro 2000M video card, so you can understand I don't like this problems: I spent a lot of money for something I hoped could work well with AutoCAD.
About that, aren't there drivers for the graphic card? Cause when I click on "check for updates", autocad says me that there are newer version of the driver, but then it says me that it is impossible to update it (I have a connession and a student version).
I need to edit a layer's OUT point without affecting the location of the IN point in the composition. [ is working fine for the in point. Then, pressing ]... The entire layer slides to the left so that the out point is there, all right, but the in point has now moved the other way so that it's gone back in time. I want the out point to TRIM the (text) layer and make it shorter, not slide it around so that it's the same length and all it's done is to move.
The text layers will overlap each other, but the thing is that they're of varying lengths (It's AE 5.1, btw...)
Is there a way to Copy and Rotate something at the same time? If I click on the rotate icon, I can rotate the object(s) in question but I cannot copy them from where they are. It just moves them on a rotational axis.
It's taking a long time to move cogo points. About 2 minutes for a single point move. Other commands affecting points are taking longer too. Would it just be a function of file size.
Sample point:
AECC_COGO_POINT Layer: "V-NODE-P-CURB-FACE" Space: Model space Handle = daf3e Primary point group : Pro Face Curb Point Number : 5198
I am just trying to migrate from VBA to VB.net, I want to know, how we can manipulate the Ctrl+Shift+C, in vb.net, if it is not possible at all, then what is the best way I can find the alternate to this.
OR
If I try to use the wblockclone() then, how do I control the location of the objectcollection when I clone it in my new drawing.
in other words, when I in the proces of clonning I should be able to specify a base point.
I am taking some AutoCAD classes at the local community college, using AutoCAD 2012.
Using previous versions of AutoCAD the copy with base point is in the on screen right click drop down window.
To use the Copy With Base Point The Clip Board icon needs to be selected. How to get the Copy with Base Point and other paste commands in the drop down window as in all previous versions.
When I'm copying an object like a bubble note callout (number 1 with a circle around it) I want to be able to snap to the end of the text string so I can copy it uniformly and spaced evenly.
When I download a drawing from some suppliers I find that I cannot do a "copy with base point" and paste that copy into my drawing except using "paste special" which leaves me with an unmanageable image. The source drawing has all the normal (it seems) attributes of a .dwg file and can be edited as a normal drawing; it just refuses to be "pasted" into my drawing. What am I missing here!
This seems like it should be the most stupidly easy thing...but AutoCAD doesn't seem to have a way to do this. I made a point table from a point group. Quick and sweet.
But now I want to change it a little bit, and it's not something I can just do from the table style. So I want to copy it into Excel...and when I try to, hitting paste in Excel ends up just giving me this block image version of the table in Excel. I tried doing TABLE EXPORT but that's only for regular tables.
I was wable to write some code that makes some already drawn objects on autocad into a selection set. What I need to do next is copy the selected objects and move them over like a distance of 50 to the right.
many times, when I copy an object with the a dimension to it. It keeps the base point of the dimension and has a crazy long leg of the dimension that starts from the original place. how can I stop this from happening?
How to set 0 quardinates without screwing with the copy paste base point?
I use the command UCS, Object, Select my base point and measure from there rather than cluttering measurement lines; however, without using UCS, Previous when ever i copy and paste the base point for the copy paste is off.. yes i can reset just wondering why it does this.
Can I copy from more than one layer at a time, without merging the layers together? If there's a way to do this it would save me a ton of time (working on animated sprites for a video game).
I'm a CAD LT 2005 user and I'm working on a file sent to me by an engineer. I want to chamfer and fillet some lines but I keep getting the message that the lines are non coplaner. I'm not trying to draw in 3-D. I can't!! How can the lines not be on the same plane if I copy one to get the second?
I am having trouble with copy paste . When I copy with base point, and try to paste all the paste options are inactive. is there a switch that I have off? What''s the fix.
I have been using copy paste with base point on block from drawing to drawing but sometimes the block insert but it is not showing. I go to insert block is there but does not show in the drawing. Then tried to purge it and it does not let me because it is in the drawing but I can find it any where. Then I tried to do the insert block look for the block and inserted as a block and the same result.
When I use the copy with base point command in paper space and try to paste it into paper space of another drawing it seems to come in on a different axis or something. I can see the view ports as they are supposed to be however the text just shows as a line. It would be as if I were to put text in model space on top view and see it just fine then go to a front view and see just a line.
My question is how do i extend lines to a specific point? I have attached a before and after image below for an example. But obviously it takes to long to do this line by line and getting the spacing correct. Is there a way to do this?
I've gotten to where I can at least select the letter, but then when I try to copy and paste, maybe I'm not using the right buttons? Ctrl-c for copy? And Ctrl-v for paste right?
I can move the individual letters by clicking the pixel mover, but since I need a double shot of two letters--one a 'c" and one 'p' I'm up the creek if I can't copy and paste the one I've got of each.
I'm recently re-scanning some photos that were originallly scanned quite a few years ago. Giving them the same name as the previous scanned (only with a _1 at the end), I import the newly scanned photo to the same folder (which is how I organize my photos), to be able do compare and later copy metadata from the original scan to the latter. As I haven't yet done any flagging or rating, most metadata will contain only keywords. But stored under "Metadata" in Library view, "Capture time" is also stored, but I cannot find it anyway among the "Copy Metadata" options. Is there something I have missed, or is there a work-around somewhere?
I was using a 3 MB PDF underlay yesterday and zooming/panning/saving operations were very sluggish.
BTW, when I attach a PDF underlay, AUTOCAD allows me to snap to the lines in the PDF and even measure them. Since it recognizes those lines, is there an easy way to copy the lines from the PDF into the drawing?
Using the Copy(multiple) command button with the following sequence (working correctly): Copy command, window objects to copy, right click to close selection, pick base point,
pick new location point(s),...right click to close the command.But sometimes it decides to do this: Using the same Copy(multiple) command button with the following sequence (not working correctly):
Copy command, window objects to copy, right click to close selection, pick base point..At this point the copy comand closes out. It has assumed a single copy, 0,0,0 base point
& tossed the copied objects out in model space accordingly. But as stated it only does this periodically.
I want to add say a circle and an arrow at the two ends of a line. I am able to do it using Blocks for one single line by inserting the blocks at desired locations. But how to do it for say all the lines in a drawing or shape file without customization.